### Enumeration

# Qmi PbmPhonebookType

since: 1.6

#### Declaration

    flags Qmi.PbmPhonebookType

#### Description [src]

Phonebook type.

Available since: 1.6

#### Members

`QMI_PBM_PHONEBOOK_TYPE_ADN`

  Abbreviated Dialing Number.

  - Value: `1`
  - Available since: 1.6
`QMI_PBM_PHONEBOOK_TYPE_FDN`

  Fixed Dialing Number.

  - Value: `2`
  - Available since: 1.6
`QMI_PBM_PHONEBOOK_TYPE_MSISDN`

  Mobile Subscriber Integrated Services Digital Network.

  - Value: `4`
  - Available since: 1.6
`QMI_PBM_PHONEBOOK_TYPE_MBDN`

  Mail Box Dialing Number.

  - Value: `8`
  - Available since: 1.6
`QMI_PBM_PHONEBOOK_TYPE_SDN`

  Service Dialing Number.

  - Value: `16`
  - Available since: 1.6
`QMI_PBM_PHONEBOOK_TYPE_BDN`

  Barred Dialing Number.

  - Value: `32`
  - Available since: 1.6
`QMI_PBM_PHONEBOOK_TYPE_LND`

  Last Number Dialed.

  - Value: `64`
  - Available since: 1.6
`QMI_PBM_PHONEBOOK_TYPE_MBN`

  Mail Box Number.

  - Value: `128`
  - Available since: 1.6

#### Type functions

###### qmi_pbm_phonebook_type_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiPbmPhonebookType` in `mask`.

since: 1.6